{
  "last_node_id": 19,
  "last_link_id": 18,
  "nodes": [
    {
      "id": 13,
      "type": "DiffusersModelMakeup",
      "pos": [
        925.672119140625,
        232.7487335205078
      ],
      "size": [
        352.4924621582031,
        194.3082733154297
      ],
      "flags": {},
      "order": 8,
      "mode": 0,
      "inputs": [
        {
          "name": "pipeline",
          "localized_name": "pipeline",
          "label": "pipeline",
          "type": "PIPELINE",
          "link": 12
        },
        {
          "name": "scheduler",
          "localized_name": "scheduler",
          "label": "scheduler",
          "type": "SCHEDULER",
          "link": 13
        },
        {
          "name": "autoencoder",
          "localized_name": "autoencoder",
          "label": "autoencoder",
          "type": "AUTOENCODER",
          "link": 14
        }
      ],
      "outputs": [
        {
          "name": "PIPELINE",
          "localized_name": "PIPELINE",
          "label": "PIPELINE",
          "type": "PIPELINE",
          "links": [
            15
          ],
          "slot_index": 0
        }
      ],
      "properties": {
        "Node name for S&R": "DiffusersModelMakeup"
      },
      "widgets_values": [
        true,
        "huanngzh/mv-adapter",
        "mvadapter_i2mv_sdxl.safetensors",
        6,
        false
      ]
    },
    {
      "id": 9,
      "type": "ImagePreprocessor",
      "pos": [
        944.402099609375,
        75.06153869628906
      ],
      "size": [
        315,
        102
      ],
      "flags": {},
      "order": 7,
      "mode": 0,
      "inputs": [
        {
          "name": "remove_bg_fn",
          "localized_name": "remove_bg_fn",
          "label": "remove_bg_fn",
          "type": "FUNCTION",
          "link": 6
        },
        {
          "name": "image",
          "localized_name": "image",
          "label": "image",
          "type": "IMAGE",
          "link": 7
        }
      ],
      "outputs": [
        {
          "name": "IMAGE",
          "localized_name": "图像",
          "label": "IMAGE",
          "type": "IMAGE",
          "links": [
            8,
            17
          ],
          "slot_index": 0
        }
      ],
      "properties": {
        "Node name for S&R": "ImagePreprocessor"
      },
      "widgets_values": [
        768,
        768
      ]
    },
    {
      "id": 16,
      "type": "DiffusersPipelineLoader",
      "pos": [
        523.4586181640625,
        52.1631965637207
      ],
      "size": [
        354.1276550292969,
        122
      ],
      "flags": {},
      "order": 0,
      "mode": 0,
      "inputs": [],
      "outputs": [
        {
          "name": "PIPELINE",
          "localized_name": "PIPELINE",
          "label": "PIPELINE",
          "type": "PIPELINE",
          "links": [
            11,
            12
          ],
          "slot_index": 0
        },
        {
          "name": "AUTOENCODER",
          "localized_name": "AUTOENCODER",
          "label": "AUTOENCODER",
          "type": "AUTOENCODER",
          "links": null
        },
        {
          "name": "SCHEDULER",
          "localized_name": "SCHEDULER",
          "label": "SCHEDULER",
          "type": "SCHEDULER",
          "links": null
        }
      ],
      "properties": {
        "Node name for S&R": "DiffusersPipelineLoader"
      },
      "widgets_values": [
        "stabilityai/stable-diffusion-xl-base-1.0",
        "MVAdapterI2MVSDXLPipeline"
      ]
    },
    {
      "id": 19,
      "type": "SaveImage",
      "pos": [
        1638.68505859375,
        92.35088348388672
      ],
      "size": [
        388.51025390625,
        391.62347412109375
      ],
      "flags": {},
      "order": 11,
      "mode": 0,
      "inputs": [
        {
          "name": "images",
          "localized_name": "图片",
          "label": "images",
          "type": "IMAGE",
          "link": 18
        }
      ],
      "outputs": [],
      "properties": {
        "Node name for S&R": "SaveImage"
      },
      "widgets_values": [
        "ComfyUI"
      ]
    },
    {
      "id": 2,
      "type": "BiRefNet",
      "pos": [
        549.1781616210938,
        -76.97058868408203
      ],
      "size": [
        315,
        58
      ],
      "flags": {},
      "order": 1,
      "mode": 0,
      "inputs": [],
      "outputs": [
        {
          "name": "FUNCTION",
          "localized_name": "FUNCTION",
          "label": "FUNCTION",
          "type": "FUNCTION",
          "links": [
            6
          ],
          "slot_index": 0
        }
      ],
      "properties": {
        "Node name for S&R": "BiRefNet"
      },
      "widgets_values": [
        "ZhengPeng7/BiRefNet"
      ]
    },
    {
      "id": 12,
      "type": "DiffusersSchedulerLoader",
      "pos": [
        632.9498291015625,
        234.42098999023438
      ],
      "size": [
        219.0955352783203,
        130
      ],
      "flags": {},
      "order": 6,
      "mode": 0,
      "inputs": [
        {
          "name": "pipeline",
          "localized_name": "pipeline",
          "label": "pipeline",
          "type": "PIPELINE",
          "link": 11
        }
      ],
      "outputs": [
        {
          "name": "SCHEDULER",
          "localized_name": "SCHEDULER",
          "label": "SCHEDULER",
          "type": "SCHEDULER",
          "links": [
            13
          ],
          "slot_index": 0
        }
      ],
      "properties": {
        "Node name for S&R": "DiffusersSchedulerLoader"
      },
      "widgets_values": [
        "DDPM",
        true,
        "interpolated",
        8
      ]
    },
    {
      "id": 15,
      "type": "DiffusersVaeLoader",
      "pos": [
        584.2642822265625,
        424.5980224609375
      ],
      "size": [
        280.0743408203125,
        58
      ],
      "flags": {},
      "order": 2,
      "mode": 0,
      "inputs": [],
      "outputs": [
        {
          "name": "AUTOENCODER",
          "localized_name": "AUTOENCODER",
          "label": "AUTOENCODER",
          "type": "AUTOENCODER",
          "links": [
            14
          ],
          "slot_index": 0
        }
      ],
      "properties": {
        "Node name for S&R": "DiffusersVaeLoader"
      },
      "widgets_values": [
        "madebyollin/sdxl-vae-fp16-fix"
      ]
    },
    {
      "id": 10,
      "type": "PreviewImage",
      "pos": [
        1302.996337890625,
        -293.9253234863281
      ],
      "size": [
        314.3407287597656,
        286.5248718261719
      ],
      "flags": {},
      "order": 9,
      "mode": 0,
      "inputs": [
        {
          "name": "images",
          "localized_name": "图像",
          "label": "images",
          "type": "IMAGE",
          "link": 8
        }
      ],
      "outputs": [],
      "properties": {
        "Node name for S&R": "PreviewImage"
      },
      "widgets_values": []
    },
    {
      "id": 17,
      "type": "Note",
      "pos": [
        1667.12548828125,
        -75.79248046875
      ],
      "size": [
        210,
        88
      ],
      "flags": {
        "collapsed": true
      },
      "order": 3,
      "mode": 0,
      "inputs": [],
      "outputs": [],
      "title": "報錯：刷新頁面重新生成即可",
      "properties": {},
      "widgets_values": [
        "如运行报错，刷新页面，重新点运行生成即可恢复正常运行，应该节点Bug吧"
      ],
      "color": "#432",
      "bgcolor": "#653"
    },
    {
      "id": 14,
      "type": "Note",
      "pos": [
        1666.882080078125,
        -32.00217819213867
      ],
      "size": [
        210,
        88
      ],
      "flags": {
        "collapsed": true
      },
      "order": 4,
      "mode": 0,
      "inputs": [],
      "outputs": [],
      "title": "僅支持768×768解析度",
      "properties": {},
      "widgets_values": [
        "仅支持768×768分辨率"
      ],
      "color": "#432",
      "bgcolor": "#653"
    },
    {
      "id": 8,
      "type": "LoadImage",
      "pos": [
        960.95849609375,
        -319.3365783691406
      ],
      "size": [
        315,
        314
      ],
      "flags": {},
      "order": 5,
      "mode": 0,
      "inputs": [],
      "outputs": [
        {
          "name": "IMAGE",
          "localized_name": "图像",
          "label": "IMAGE",
          "type": "IMAGE",
          "links": [
            7
          ],
          "slot_index": 0
        },
        {
          "name": "MASK",
          "localized_name": "遮罩",
          "label": "MASK",
          "type": "MASK",
          "links": null
        }
      ],
      "properties": {
        "Node name for S&R": "LoadImage"
      },
      "widgets_values": [
        "1 (1).png",
        "image"
      ]
    },
    {
      "id": 18,
      "type": "DiffusersMVSampler",
      "pos": [
        1313.246337890625,
        112.90593719482422
      ],
      "size": [
        267.33636474609375,
        330
      ],
      "flags": {},
      "order": 10,
      "mode": 0,
      "inputs": [
        {
          "name": "pipeline",
          "localized_name": "pipeline",
          "label": "pipeline",
          "type": "PIPELINE",
          "link": 15
        },
        {
          "name": "reference_image",
          "localized_name": "reference_image",
          "label": "reference_image",
          "type": "IMAGE",
          "shape": 7,
          "link": 17
        }
      ],
      "outputs": [
        {
          "name": "IMAGE",
          "localized_name": "图像",
          "label": "IMAGE",
          "type": "IMAGE",
          "links": [
            18
          ],
          "slot_index": 0
        }
      ],
      "properties": {
        "Node name for S&R": "DiffusersMVSampler"
      },
      "widgets_values": [
        6,
        "3D Character Graphics, 3D rendering",
        "watermark, ugly, deformed, noisy, blurry, low contrast",
        768,
        768,
        50,
        3,
        386197447953606,
        "randomize",
        true,
        true
      ]
    }
  ],
  "links": [
    [
      6,
      2,
      0,
      9,
      0,
      "FUNCTION"
    ],
    [
      7,
      8,
      0,
      9,
      1,
      "IMAGE"
    ],
    [
      8,
      9,
      0,
      10,
      0,
      "IMAGE"
    ],
    [
      11,
      16,
      0,
      12,
      0,
      "PIPELINE"
    ],
    [
      12,
      16,
      0,
      13,
      0,
      "PIPELINE"
    ],
    [
      13,
      12,
      0,
      13,
      1,
      "SCHEDULER"
    ],
    [
      14,
      15,
      0,
      13,
      2,
      "AUTOENCODER"
    ],
    [
      15,
      13,
      0,
      18,
      0,
      "PIPELINE"
    ],
    [
      17,
      9,
      0,
      18,
      1,
      "IMAGE"
    ],
    [
      18,
      18,
      0,
      19,
      0,
      "IMAGE"
    ]
  ],
  "groups": [],
  "config": {},
  "extra": {
    "ds": {
      "scale": 1.0610764609500007,
      "offset": [
        70.75579280143222,
        538.4301083955947
      ]
    },
    "ue_links": [],
    "workspace_info": {
      "id": "jYkl9LpfGTnCioYpT-Npv"
    }
  },
  "version": 0.4
}